%global revision 20190721
Name:           tack
Version:        1.08
Release:        7.%{revision}%{?dist}
Summary:        Terminfo action checker

License:        GPLv2+
URL:            https://invisible-island.net/ncurses/tack.html
Source0:        https://invisible-mirror.net/archives/ncurses/current/tack-%{version}-%{revision}.tgz

BuildRequires:  gcc ncurses-devel

%description
The tack program has three purposes: to help you build a new terminfo
entry describing an unknown terminal, to test the correctness of an
existing entry, and to develop the correct pad timings needed to ensure
that screen updates don't fall behind the incoming data stream.

%prep
%setup -q -n %{name}-%{version}-%{revision}

%build
%configure --with-ncurses
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGES COPYING HISTORY README
%{_bindir}/tack
%{_mandir}/man1/tack.1*

%changelog
* Thu Jul 25 2019 Miroslav Lichvar <mlichvar@redhat.com> 1.08-7.20190721
- update to 1.08-20190721

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-6.20170726
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 23 2018 Miroslav Lichvar <mlichvar@redhat.com> 1.08-5.20170726
- add gcc to build requirements

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-4.20170726
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-3.20170726
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-2.20170726
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Miroslav Lichvar <mlichvar@redhat.com> 1.08-1.20170726
- update to 1.08-20170726

* Fri May 26 2017 Miroslav Lichvar <mlichvar@redhat.com> 1.07-15.20170318
- update to 1.07-20170318

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.07-14.20150606
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.07-13.20150606
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 05 2015 Miroslav Lichvar <mlichvar@redhat.com> 1.07-12.20150606
- update to 1.07-20150606

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-11.20130713
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Sep 12 2014 Miroslav Lichvar <mlichvar@redhat.com> 1.07-10.20130713
- update to 1.07-20130713

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 05 2013 Miroslav Lichvar <mlichvar@redhat.com> 1.07-6
- update config.guess and config.sub for aarch64 (#926606)
- remove obsolete macros

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 05 2010 Miroslav Lichvar <mlichvar@redhat.com> 1.07-1
- update to 1.07

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.06-2
- Autorebuild for GCC 4.3

* Tue Sep 11 2007 Miroslav Lichvar <mlichvar@redhat.com> 1.06-1
- initial release
